(* Copyright (C) 2000, HELM Team.
 * 
 * This file is part of HELM, an Hypertextual, Electronic
 * Library of Mathematics, developed at the Computer Science
 * Department, University of Bologna, Italy.
 * 
 * HELM is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * HELM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HELM; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA  02111-1307, USA.
 * 
 * For details, see the HELM World-Wide-Web page,
 * http://cs.unibo.it/helm/.
 *)

exception Warnings;;

class warner =
  object 
    method warn w =
      print_endline ("WARNING: " ^ w) ;
      (raise Warnings : unit)
  end
;;

exception EmptyUri;;

let annotate filename ids_to_targets =
 let module Y = Pxp_yacc in
  try 
    let d =
     let config = {Y.default_config with Y.warner = new warner} in
      Y.parse_document_entity config
(*PXP       (Y.ExtID (Pxp_types.System filename,
         new Pxp_reader.resolve_as_file ~url_of_id ()))
*)     (PxpUriResolver.from_file filename)
       Y.default_spec

    in
     AnnotationParser2.annotate ids_to_targets d#root
  with
   e ->
     print_endline (Pxp_types.string_of_exn e) ;
     raise e
;;
