(* Copyright (C) 2000, HELM Team.
 * 
 * This file is part of HELM, an Hypertextual, Electronic
 * Library of Mathematics, developed at the Computer Science
 * Department, University of Bologna, Italy.
 * 
 * HELM is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * HELM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HELM; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA  02111-1307, USA.
 * 
 * For details, see the HELM World-Wide-Web page,
 * http://cs.unibo.it/helm/.
 *)

(******************************************************************************)
(*                                                                            *)
(*                               PROJECT HELM                                 *)
(*                                                                            *)
(*                Claudio Sacerdoti Coen <sacerdot@cs.unibo.it>               *)
(*                                 24/01/2000                                 *)
(*                                                                            *)
(* This module is the objects level of a parser for cic objects from xml      *)
(* files to the internal representation. It uses the module cicParser3        *)
(* cicParser3 (terms level) and it is used only through cicParser2 (top       *)
(* level).                                                                    *)
(*                                                                            *)
(******************************************************************************)

exception IllFormedXml of int
exception NotImplemented

(* This is the main function and also the only one used directly from *)
(* cicParser. Given the root of the dom tree, it returns the internal *)
(* representation of the cic object described in the tree             *)
(* It uses the previous functions and the to_cic_term method defined  *)
(* in cicParser3 (used for subtrees that encode cic terms)            *)
val get_term :
 < attribute : string -> Pxp_types.att_value;
   node_type : Pxp_document.node_type;
   sub_nodes : < attribute : string -> Pxp_types.att_value;
                 node_type : Pxp_document.node_type;
                 sub_nodes : CicParser3.cic_term Pxp_document.node list;
                 .. >
               list;
   .. > ->
 Cic.annobj
